Priority: Low
Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15486

Description

On my Linux system the function list label in the expression builder dialogue overlaps with the search box, as you can see in the attached

screenshot.

This is fixed for me with the following patch (actually, it is just the topMargin property that I changed in QT Designer, so I guess the others

aren't needed).

But will there still be a problem on someone else's machine due to their QT theme or font size settings?  I would have thought that this

problem indicated something is fundamentally wrong somewhere...

# diff -u /media/sdb1/abs/local/yaourtbuild/qgis-git/src/qgis/src/ui/qgsexpressionbuilder.ui

/media/sdb1/abs/local/yaourtbuild/qgis-git/src/qgis-build/src/ui/qgsexpressionbuilder.ui

--- /media/sdb1/abs/local/yaourtbuild/qgis-git/src/qgis/src/ui/qgsexpressionbuilder.ui    2012-06-16 13:45:09.030542381 +1200

+++ /media/sdb1/abs/local/yaourtbuild/qgis-git/src/qgis-build/src/ui/qgsexpressionbuilder.ui    2012-08-07 15:06:58.569575603

+1200

@@ -43,7 +43,16 @@

         <bool>true</bool>

        </property>

        <layout class="QGridLayout" name="gridLayout_6">

-        <property name="margin">

+        <property name="leftMargin">

+         <number>0</number>

+        </property>

+        <property name="topMargin">

+         <number>3</number>

+        </property>

+        <property name="rightMargin">

+         <number>0</number>

+        </property>

+        <property name="bottomMargin">

          <number>0</number>

         </property>

         <property name="spacing">

History

#1 - 2012-08-07 06:33 AM - Alister Hood

But will there still be a problem on someone else's machine due to their QT theme or font size settings
Maybe the font size doesn't come into the equation, but maybe the language does...

#2 - 2012-08-07 06:03 PM - Alister Hood

- Pull Request or Patch supplied changed from No to Yes

#3 - 2012-08-07 06:14 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#4 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#5 - 2013-01-28 05:59 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in commit:fb63167
